<h1 mat-dialog-title>
	<span fxFlex=""> Добавление документа </span>
	<button mat-icon-button [mat-dialog-close]="">
		<mat-icon svgIcon="close"></mat-icon>
	</button>
</h1>
<div mat-dialog-content>

	<div>
		<mat-form-field appearance="fill" fxFlex="">
			<mat-label> Выберите категорию документа</mat-label>
			<mat-select [(ngModel)]="sendData.sysCategory" required >
				<mat-option *ngFor="let item of sysCategories" [value]="item.name_table">
					{{item.name}}
				</mat-option>
			</mat-select>
		</mat-form-field>
	</div>

	<section *ngIf="sendData.sysCategory">
			<div class="dynamic-form">
				<ng-container appDynamicForms
				              [componentName]="mapComponent[sendData.sysCategory]"
				              [data]="sendData"
				              [canSave]="true"
				              (saveData)="addData($event)">
				</ng-container>
			</div>

			<!--<div>
				<mat-form-field appearance="fill" fxFlex="100" fxFlex.lt-md="100" >
					<mat-label>Тип документа</mat-label>
					<input matInput formControlName="id_ident_document" required>
				</mat-form-field>
			</div>-->

		<!--<div>
			<mat-progress-bar *ngIf="percentDone"  mode="determinate" [value]="percentDone"></mat-progress-bar>
		</div>-->

	</section>


</div>
